Bug 731261

Summary: System does not boot, hangs on password request
Product: [Fedora] Fedora Reporter: Edek Pienkowski <spojenie>
Component: plymouthAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: fedora, ffesti, germano.massullo, harald, jan.public, jnovy, johannbg, kay, lpoetter, metherid, mschmidt, notting, plautrba, pmatilai, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 18:29:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Edek Pienkowski 2011-08-17 08:00:33 UTC
Description of problem:
The system does not boot ever with rhgb, without rhgb it sometimes fails.
The last thing on the screen I see is something along the lines of "Forwarding Password Request to plymouth"
This is long after I type in the password for the root filesystem; there are a couple of other filesystems with the same password. 

Probably systemd got the locking wrong.

Version-Release number of selected component (if applicable):
Current release version from yum, that would be 26-8.

How reproducible:
Try booting a system with a few encrypted filesystems.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
rhgb not working, without it boot process is failing sometimes too

Expected results:
rhgb working, no need to restart a half-booted system

Additional info:
none

Comment 1 Panu Matilainen 2011-08-17 08:13:47 UTC
No idea whether this is plymouth, systemd or something else, but rpm bug this is not. Reassinging to plymouth as a first guess...

Comment 2 Edek Pienkowski 2011-08-17 08:53:46 UTC
Oops. Sorry, I meant systemd, not rpm.

Comment 3 Edek Pienkowski 2011-09-10 17:17:38 UTC
I can add a little info: on laptop running on battery booting is almost impossible

Comment 4 Lennart Poettering 2011-09-21 18:42:11 UTC
This sounds as if Plymouth crashes. Normally you should not see any messages like "Forwarding Request to Plymouth..."

It would be good if you could add a dump/screenshot of the last thing you see when it hangs. I awesome you didn't press Esc or so to get the aforementioned msg?

Comment 5 Edek Pienkowski 2011-09-21 19:02:17 UTC
With rghb I would need to press Esc.

I get these messages also when the system boots, so apparently it just does not ring the bell for you. It might not be quoted literally, and you omitted the "Password" word.

How do I get a dump or screenshort, if only / is mounted? var has a separate partition and it cannot be mounted without providing the password for encryption, even if this is the same password as /.

Comment 6 Lennart Poettering 2011-09-21 21:13:33 UTC
In the worst case a photo camera might be useful...

Comment 7 Edek Pienkowski 2011-09-21 21:27:13 UTC
Ok, just not today, and it is a long time since I debugged initrd/kernel stuff...

Dracut has "drop to shell". Is anything like that already there in systemd, or would you like a feature request ;) ?

Comment 8 Lennart Poettering 2011-09-21 22:02:37 UTC
Like on sysvinit you can pass "emergency" on the kernel cmdline to get nothing but an emergency shell started by systemd.

Comment 9 Edek Pienkowski 2011-10-15 17:00:27 UTC
Sorry for the delay. It happens much less frequently now.

It is a "low maintenance" system, I must have selected automatic updates, there were many updates during this time including the kernel.

It is not reproducible easily now. It happened once - my smartphone battery was flat, I couldn't make a photo. The last line was "Starting Forwarding Requests to Plymouth..." and after a couple of minutes it failed to an emergency shell after saying that cryptography setup for /var has failed.

So, the bug is still there, it just happens much less frequently.

Comment 10 Fedora End Of Life 2012-08-07 18:29:57 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping